<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>SWTOOLS 5.0.8.0 beta Release Notes</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="docs/relnotes_archive/tilogo.gif"></a></td>
  <td bgcolor="red"><img src="docs/relnotes_archive/titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.5.1-p1 -->
<h1 align="center"><a name="XDC_TOP"></a>SWTOOLS 5.0.8.0 beta Release Notes</h1>
<h2 align="center">August 5, 2014</h2>
<h1></h1>
<p>
<a href="#Introduction">Introduction</a> <br>
 <a href="#Documentation">Documentation</a> <br>
 <a href="#Whats_New">What's New</a> <br>
 <a href="#Compatibility">Upgrade and Compatibility Information</a> <br>
 <a href="#Host_Support">Host Support</a> <br>
 <a href="#Device_Support">Device Support</a> <br>
 <a href="#Validation">Validation Information</a> <br>
 <a href="#Known_Issues">Known Issues</a> <br>
 <a href="#Version">Version Information</a> <br>
 <a href="#Support">Technical Support</a> <br>
 <p>
<hr>
 <h2><a class="anchor" name="General_Info"></a>Introduction</h2>
<p>
This component contains tools that are shared by other software components during the configuration and build procedures. For example, it contains:<ul>
<li>Perl script support for cygwinxdc.bat files.</li><li>Version.xdt template file that is to be used by all packages to implement the Version interface.</li><li>JavaScript functions that automate creation of ClearCase related files.</li><li><b>CommonBld</b> module containing common build utilities that can be shared across the packages to avoid duplication.</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Documentation"></a>Documentation</h2>
<p>
The following documentation is available: <ul>
<li>N/A</li></ul>
<p>
Release notes from previous releases are also available in the <a href="docs/relnotes_archive">relnotes_archive</a> directory.<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Whats_New"></a>What's New</h2>
<p>
The following new features were added:<ul>
<li>GNU Makefile Support</li><li>Bundling Support.</li><li>Packaging Standard 2.0 Support.</li><li>Bug Fixes.</li><li>C66x Support</li><li>ELF Support for C64x+ and C674x.</li><li>ARM Cortex A8 Support.</li><li>CCSV4 Project Support.</li><li>Eclipse Plugin Support.</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Compatibility"></a>Upgrade and Compatibility Information</h2>
<p>
This <b>ti.mas.swtools</b> version is source compatible with the last released swtools version.<p>
Please note that the package compatibility keys are independent of XDC product release numbers.<p>
Package compatibility keys are intended to:<p>
<ol type=1>
<li>Enable tooling to identify incompatibilities between components, and</li><li>Convey a level of compatibility between different releases to set end user expectations.</li></ol>
<p>
Package compatibility keys are composed of 4 comma-delimited numbers - M, S, R, P - where:<p>
<ul>
<li><b>M = Major</b> - A difference in M indicates a break in compatibility. The package consumer is required to re-write its source code in order to use the package.</li><li><b>S = Source</b> - A difference in S indicates source compatibility. The package consumers source code doesn't require change, but does require a recompile.</li><li><b>R = Radix</b> - A difference in R indicates an introduction of new features, but compatibility with previous interfaces is not broken. If libraries are provided by the package, an application must re-link with the new libraries, but is not required to recompile its source.</li><li><b>P = Patch</b> - A difference in P indicates that only bugs have been fixed in the latest package and no new features have been introduced. If libraries are provided by the package, an application must re-link with the new libraries, but is not required to recompile its source.</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Host_Support"></a>Host Support</h2>
<p>
The current XDC toolset can be used to build components on the following hosts:<ul>
<li>Windows XP</li><li>Linux</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Dependencies"></a>Dependencies</h2>
<p>
This release requires the following other software components and tools versions to successfully function<ul>
<li>XDC Tools version 3.20.05.76</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Device_Support"></a>Device Support</h2>
<p>
This release supports the following device families:<ul>
<li>C64P, C64, C674, C66</li><li>C55</li><li>C54</li><li>ARM</li><li>WIN32</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Validation"></a>Validation Information</h2>
<p>
This release was built and validated against using the following components:<ul>
<li>ti.mas.types</li><li>ti.mas.fract</li><li>ti.mas.util</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Known_Issues"></a>Known Issues</h2>
<p>
<ul>
<li>Ccase.js script to generate configspec.clearcase is unable to parse test packages if it is not directly under test folder.</li></ul>
<p>
<ul>
<li>When creating the mCSPEC file mcspecGen.js will not be able to update the existing maintenance branch information properly. It would always assume a new branch is being created from the current version of the package and would use that new label for the branch origin. One has to manually revert back to the original label for the branch origin in order to prevent problems. The reason for this problem is that the mcspecGen.js was initially written to help in creation of new maintenance branches.</li></ul>
<p>
<ul>
<li>When creating the iCPSEC file icspecGen.js will look for the VOB name(s) within the label(s) specified for accessing the parent folders of the integrating components. The script has a bug that results in the iCSPEC file which does not remove the VOB name(s) from the label(s) and generates the wrong folder path(s) to be associated with the label(s). Solution is to specify the label(s) the way script wants it and subsequently edit the generated iCSPEC.txt file to substitute away the VOB name(s) from the generated label(s) as well as to fix the wrong path names. An example of a broken path name is /dsps_gtmas/dsps/gtmas/ti/mas. The correct path is /dsps_gtmas/ti/mas. The spurious dsps/gtmas section was inserted by mistake where the script just expanded DEV_DSPS_GTMAS_TI_MAS_&lt;version&gt; label without removing the (capitalized) VOB name.</li></ul>
<p>
<ul>
<li>When creating the iCPSEC/mCSPEC file icspecGen.js and mcspecGen.js scripts will not find ti/mas/iface/ or similar folders that group multiple components. The script will assume ti/mas is the only folder grouping other components. In order to get other component grouping folders to be properly referenced you will have to paste the ti/mas folder line and substitute the MAS folder name for the corresponding grouping folder, e.g. /dsps_gtmas/ti/mas/iface.</li></ul>
<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
<p>
<h2><a class="anchor" name="Version"></a>Version Information</h2>
<p>
This product's version follows a version format, <b>M.m.p.b</b>, where <b>M</b> is a single digit Major number, <b>m</b> is single digit minor number, <b>p</b> is a single digit patch number and <b>b</b> is an unrestricted set of digits used as an incrementing build counter.<p>
Please note that version numbers and compatibility keys are NOT the same. For an explanation of compatibility keys, please refer to the '<a href="#Compatibility">Upgrade and Compatibility Information</a>' section.<p>
<a href="#XDC_TOP">back to top</a><p>
<hr>
 <h2><a class="anchor" name="Support"></a>Technical Support</h2>
<p>
Contact local TI Field Application Engineer for technical support.<p>
<a href="#XDC_TOP">back to top</a> <hr size="1"><small>
Copyright  2014, Texas Instruments Incorporated</small>
</body>
</html>
